package com.pms.ocp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.pms.ocp.model.dto.GroupDto;
import com.pms.ocp.model.dto.OcpTenantGroupIocnDto;
import com.pms.ocp.model.entity.OcpTenantBase;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OcpTenantBaseMapper extends BaseMapper<OcpTenantBase> {


    OcpTenantBase updataIsDelect(String objId, Short isDelete);


    List<OcpTenantGroupIocnDto> selectAlls();

    /**
     * 查询数据库中是否有现有应用编码
     *
     * @param appCode
     * @return
     */
    int queryCount(String appCode);


    List<OcpTenantBase> selcctCodeList(String ocpTenantGroup);

    int queryName(String appName);

    List<GroupDto> correlationTenantTree(@Param("tenantGroupCompanyCode") String tenantGroupCompanyCode, @Param("tenantGroupCode") String tenantGroupCode);

    /**
     * 根据tenantCode查询应用
     * @param tenantCode
     * @return
     */
    OcpTenantBase selectTenants(String tenantCode);
}
