package com.pms.ocp.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 验收入参实体类
 *
 * @author Administrator
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("验收入参")
public class AcceptDTO implements Serializable {



    @ApiModelProperty("1-验收通过,2-验收拒绝")
    private String acceptCode;

    @ApiModelProperty("需求编码")
    private String requirementCode;

    @ApiModelProperty("服务编码")
    private String apiCode;

    @ApiModelProperty("验收单位")
    private String acceptCompanyCode;

    @ApiModelProperty("验收部门")
    private String acceptDepartment;

    @ApiModelProperty("验收人")
    private String acceptUserId;

    @ApiModelProperty("验收人姓名")
    private String acceptUserName;

    public String getRequirementCode() {
        return requirementCode;
    }

    public void setRequirementCode(String requirementCode) {
        this.requirementCode = requirementCode;
    }

    public String getApiCode() {
        return apiCode;
    }

    public void setApiCode(String apiCode) {
        this.apiCode = apiCode;
    }

    public String getAcceptCompanyCode() {
        return acceptCompanyCode;
    }

    public void setAcceptCompanyCode(String acceptCompanyCode) {
        this.acceptCompanyCode = acceptCompanyCode;
    }

    public String getAcceptDepartment() {
        return acceptDepartment;
    }

    public void setAcceptDepartment(String acceptDepartment) {
        this.acceptDepartment = acceptDepartment;
    }

    public String getAcceptUserId() {
        return acceptUserId;
    }

    public void setAcceptUserId(String acceptUserId) {
        this.acceptUserId = acceptUserId;
    }

    public String getAcceptUserName() {
        return acceptUserName;
    }

    public void setAcceptUserName(String acceptUserName) {
        this.acceptUserName = acceptUserName;
    }
}
