package com.pms.ocp.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "服务应用回显dto")
public class TenantApiDto {
    @ApiModelProperty("分类名称")
    private String apiGroupName;
    @ApiModelProperty("上级分类名称")
    private String apiGroupPname;

    @ApiModelProperty("服务应用描述")
    private String apiTenantDescription;

    @ApiModelProperty("应用编码")
    private String tenantCode;
    @ApiModelProperty("应用名称")
    private String tenantName;

    @ApiModelProperty("所属区域1:生成控制大区 2：信息关联大区3：互联网大区")
    private Short tenantZone;
    public String getApiGroupName() {
        return apiGroupName;
    }

    public void setApiGroupName(String apiGroupName) {
        this.apiGroupName = apiGroupName;
    }

    public String getApiGroupPname() {
        return apiGroupPname;
    }

    public void setApiGroupPname(String apiGroupPname) {
        this.apiGroupPname = apiGroupPname;
    }

    public String getApiTenantDescription() {
        return apiTenantDescription;
    }

    public void setApiTenantDescription(String apiTenantDescription) {
        this.apiTenantDescription = apiTenantDescription;
    }

    public String getTenantCode() {
        return tenantCode;
    }

    public void setTenantCode(String tenantCode) {
        this.tenantCode = tenantCode;
    }

    public String getTenantName() {
        return tenantName;
    }

    public void setTenantName(String tenantName) {
        this.tenantName = tenantName;
    }

    public Short getTenantZone() {
        return tenantZone;
    }

    public void setTenantZone(Short tenantZone) {
        this.tenantZone = tenantZone;
    }
}
