package com.pms.ocp.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.pms.ocp.model.entity.OcpApiParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface OcpApiPMapper extends BaseMapper<OcpApiParam> {

    /**@Author:zhaochengming
     * 根据服务编码查询服务出参入参
     * @param apiCode
     * @return
     */
    List<OcpApiParam> selects(String apiCode);

    //托参图
    List<OcpApiParam> selectByList(String apiCode);

    //根据modelcode
    List<OcpApiParam> selectsByModelCode(String modelCode);
}
