package com.pms.ocp.model.dto;

import com.pms.ocp.model.vo.OcpModelGroupVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
@Data
@AllArgsConstructor
@NoArgsConstructor
public class OcpModelGroupDto extends OcpModelGroupVO implements Serializable {

    @ApiModelProperty("模型编码")
    private String modelCode;

    @ApiModelProperty("服务接口中文名称")
    private String modelName;

//    @ApiModelProperty("服务分类代码")
//    private String modelGroupCode;


    public String getModelCode() {
        return modelCode;
    }

    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    public String getModelName() {
        return modelName;
    }

    public void setModelName(String modelName) {
        this.modelName = modelName;
    }

//    public String getModelGroupCode() {
//        return modelGroupCode;
//    }
//
//    public void setModelGroupCode(String modelGroupCode) {
//        this.modelGroupCode = modelGroupCode;
//    }
}
