package com.pms.ocp.service;

import com.pms.ocp.model.dto.AcceptDTO;
import com.pms.ocp.model.dto.CommitDTO;
import com.pms.ocp.model.dto.RatioDTO;
import com.pms.ocp.model.entity.OcpApiRequirementAccept;
import com.pms.ocp.model.vo.ResponseVO;

/**
 * 服务验收业务接口
 *
 * @author Administrator
 */
public interface AcceptInfoService {
    /**
     * 服务验收
     *
     * @param acceptDTO
     * @return
     */
    ResponseVO acceptInfo(AcceptDTO acceptDTO);


    /**
     * 重合度
     *
     * @param ratioDTO
     * @return
     */
    ResponseVO apiModelRepeat(RatioDTO ratioDTO);

    /**
     * 提交
     *
     * @param commitDTO
     * @return
     */
    ResponseVO apiModelRepeatCommit(CommitDTO commitDTO);

    /**
     * 审核人信息
     *
     * @param acceptDTO
     * @return
     */
    ResponseVO acceptPeopleInfo(AcceptDTO acceptDTO);
}
